<?xml version="1.0" encoding="UTF-8"?>
<module name="write CSV" class="CSVWriter">
    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNRegularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="NDIMS" value="1"/>
                <param name="AFFINE" value="true"/>
            </acceptor>        
            <acceptor>
                <param name="NDIMS" value="2"/>
                <param name="AFFINE" value="true"/>
            </acceptor>        
        </input>
        <input name="rowLabels" type="org.visnow.vn.lib.types.VNRegularField">
            <acceptor>
                <param name="NDIMS" value="1"/>
                <param name="AFFINE" value="true"/>
            </acceptor>        

        </input>
        <input name="columnLabels" type="org.visnow.vn.lib.types.VNRegularField">
            <acceptor>
                <param name="NDIMS" value="1"/>
                <param name="AFFINE" value="true"/>
            </acceptor>        
        </input> 
    </inputs>
    <outputs>
    </outputs>
    <description value="writes selected component from regular field as CSV file"/>    
</module>
